Skip to main content

Get Option Chain

gets the chart date for the symbol

Request to be POSTed to uri : /NorenWClientAPI/GetOptionChain

Request Details :

Json FieldsPossible valueDescription
jData*Should send json object with fields in below list

Example

curl --location 'https://api.kambala.co.in/NorenWClientAPI/GetOptionChain' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer dc384ed28e7983afdcc1dd8e0631b3f69b94ff14392daea33fa12661d3d99adf' \
--data 'jData={"uid":"DEMO", "tsym":"ACC-EQ", "exch":"NSE","strprc":"210.00","cnt":"1"}'

Response Details :

Response data will be in json format in case for failure.

Json FieldsPossible valueDescription
statNot_OkData failure indication.
emsgThis will be present only in case of errors.

Response data will be in json format in case for success.

Json FieldsPossible valueDescription
statOkTPData success indication.
timeDD/MM/CCYY hh:mm:ss
intoInterval open
inthInterval high
intlInterval low
intcInterval close
intvwapInterval vwap
intvInterval volume
vvolume
intoiInterval io change
oioi

Sample Success Response :

[
{
"stat":"Ok",
"time":"02-06-2020 15:46:23",
"into":"0.00",
"inth":"0.00",
"intl":"0.00",
"intc":"0.00",
"intvwap":"0.00",
"intv":"0",
"intoi":"0",
"v":"980515",
"oi":"128702"
},
{
"stat":"Ok",
"time":"02-06-2020 15:45:23",
"into":"0.00",
"inth":"0.00",
"intl":"0.00",
"intc":"0.00",
"intvwap":"0.00",
"intv":"0",
"intoi":"0",
"v":"980515",
"oi":"128702"
},
{
"stat":"Ok",
"time":"02-06-2020 15:44:23",
"into":"0.00",
"inth":"0.00",
"intl":"0.00",
"intc":"0.00",
"intvwap":"0.00",
"intv":"0",
"intoi":"0",
"v":"980515",
"oi":"128702"
},
{
"stat":"Ok",
"time":"02-06-2020 15:43:23",
"into":"1287.00",
"inth":"1287.00",
"intl":"0.00",
"intc":"1287.00",
"intvwap":"128702.00",
"intv":"4",
"intoi":"128702",
"v":"980515",
"oi":"128702"
},
{
"stat":"Ok",
"time":"02-06-2020 15:42:23",
"into":"0.00",
"inth":"0.00",
"intl":"0.00",
"intc":"0.00",
"intvwap":"0.00",
"intv":"0",
"intoi":"0",
"v":"980511",
"oi":"128702"
}
]

Sample Failure Response :

{
"stat":"Not_Ok",
"emsg":"Session Expired : Invalid Session Key"
}